org.eclipse.aether.internal.impl

## Class DefaultLocalRepositoryProvider

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultLocalRepositoryProvider

- All Implemented Interfaces:
    LocalRepositoryProvider, Service

      @Named
      @Component(role=LocalRepositoryProvider.class)
      public class DefaultLocalRepositoryProvider
      extends Object
      implements LocalRepositoryProvider, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLocalRepositoryProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultLocalRepositoryProvider` | `addLocalRepositoryManagerFactory(LocalRepositoryManagerFactory factory)`
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `LocalRepositoryManager` | `newLocalRepositoryManager(RepositorySystemSession session, LocalRepository localRepository)`
    `DefaultLocalRepositoryProvider` | `setLocalRepositoryManagerFactories(Collection<LocalRepositoryManagerFactory> factories)`
    `DefaultLocalRepositoryProvider` | `setLoggerFactory(LoggerFactory loggerFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLocalRepositoryProvider

          public DefaultLocalRepositoryProvider()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultLocalRepositoryProvider setLoggerFactory(LoggerFactory loggerFactory)

    - #### addLocalRepositoryManagerFactory

          public DefaultLocalRepositoryProvider addLocalRepositoryManagerFactory(LocalRepositoryManagerFactory factory)

    - #### setLocalRepositoryManagerFactories

          public DefaultLocalRepositoryProvider setLocalRepositoryManagerFactories(Collection<LocalRepositoryManagerFactory> factories)

    - #### newLocalRepositoryManager

          public LocalRepositoryManager newLocalRepositoryManager(RepositorySystemSession session,
                                                         LocalRepository localRepository)
                                                           throws NoLocalRepositoryManagerException

      Specified by:
        `newLocalRepositoryManager` in interface `LocalRepositoryProvider`
      Throws:
        `NoLocalRepositoryManagerException`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.